package test;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;
import com.poscoict.glueframework.context.GlueStaticContext;
import com.poscoict.glueframework.dao.jdbc.GlueGenericJdbcDao;
import com.poscoict.glueframework.dao.vo.GluePageSet;
import com.poscoict.glueframework.dao.vo.GlueParameter;

public class Test
{
    public static void main( String[] args )
    {
        GlueBizController controller = GlueBizProvider.getController();
        GlueContext ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "hello-edb-service" );

        controller.doAction( ctx );
        System.out.println( ctx.get( "result" ) );
        System.out.println( ctx.get( "result2" ) );

        GlueGenericJdbcDao dao = (GlueGenericJdbcDao) GlueStaticContext.getBeanFactory().getBeanObject( "biz-dao" );
        List<Map> rowSet = dao.findByQueryStatement( "select * from users" );
        System.out.println(rowSet.size());

    }
}